Package tigase.disco

# Class ServiceIdentity

java.lang.Object
tigase.disco.ServiceIdentity

public class ServiceIdentity extends Object
Describe class ServiceIdentity here.
Created: Sat Feb 10 13:34:54 2007

Author:
  Artur Hefczyc

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceIdentity(String category, String type)`
  Creates a new `ServiceIdentity` instance.
  `ServiceIdentity(String category, String type, String name)`
  `ServiceIdentity(String category, String type, String name, String lang)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getAsCapsString()`
  `String`
  `getCategory()`
  `Element`
  `getElement()`
  `String`
  `getLang()`
  `String`
  `getName()`
  `static String[]`
  `getServiceIdentitiesCapsFromDiscoInfo(Element discoInfo)`
  `static ServiceIdentity[]`
  `getServiceIdentitiesFromDiscoInfo(Element discoInfo)`
  `String`
  `getType()`
  `int`
  `hashCode()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ServiceIdentity

    public ServiceIdentity(String category, String type)
    Creates a new `ServiceIdentity` instance.

  - ### ServiceIdentity

    public ServiceIdentity(String category, String type, String name)

  - ### ServiceIdentity

    public ServiceIdentity(String category, String type, String name, String lang)

- ## Method Details

  - ### getServiceIdentitiesCapsFromDiscoInfo

    public static String[] getServiceIdentitiesCapsFromDiscoInfo(Element discoInfo)

  - ### getServiceIdentitiesFromDiscoInfo

    public static ServiceIdentity[] getServiceIdentitiesFromDiscoInfo(Element discoInfo)

  - ### getCategory

    public String getCategory()

  - ### getType

    public String getType()

  - ### getName

    public String getName()

  - ### getElement

    public Element getElement()

  - ### getAsCapsString

    public String getAsCapsString()

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### getLang

    public String getLang()

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`